<?php
if (!$user->auth() || ($user->auth() && $acl->isForumCategoryCreate == 0)){
	twig("/forum.lm", ["block"	=>	"no_access"]);
}
$t          = "Редактирование категории на форуме";
$cat 		= $db->getObject("SELECT * FROM `forum_cat` WHERE `sid` = '".$site->id."' AND `cid` = '".$id."'");
if ($cat == NULL){
	twig("/forum.lm", ["block"	=>	"no_found_category"]);
}
if (isset($_POST["create"])){
	if (!isset($_POST["name"]) || empty($_POST["name"])){
		$core->regError("","Введите название категории", 1, "Forum");
	} elseif (!isset($_POST["sms"]) || empty($_POST["sms"])){
		$core->regError("","Введите описание категории", 2, "Forum");
	} elseif (strlen(trim($_POST['name'])) < 4) {
		$core->regError("","Слишком короткое название категории (от 4-128 символов)", 3, "Forum");
	} elseif (strlen(trim($_POST['name'])) > 128) {
		$core->regError("","Слишком длинное название категории (от 4-128 символов)", 3, "Forum");
	} else {	
		if ($user->checkSpam()){
			$core->regError("","Вы выполняете действие слишком часто.<br>Повторите попытку через 15 секунд.",1,"AntiSpam");
		} else {
			$user->spamUpdate();
			$db->Query("UPDATE `forum_cat` SET `name`='".$core->FilterString($_POST["name"])."',`txt`='".$core->FilterString($_POST["sms"])."' WHERE `sid` = '".$site->id."' AND `cid` = '".$id."'");
			header("Location: /forum.lm?id=".$id);
			die();
		}
	}
}
twig("/forum.lm", ["block"	=>	"edit_category", "category" => [
	"id"		=>	$cat->cid,
	"name"		=>	$cat->name,
	"desc"		=>	$core->drawString($cat->txt),
	"count"		=>	$db->Count("forum_topics","WHERE `sid` = '".$site->id."' AND `cid` = '".$cat->cid."'"),
	"lastItems"	=>	[
		"isExits"	=> false,
		"item"		=> []
	],
]]);
?>